Valve!

You are missing the following 32-bit libraries, and Steam may not run...

Wenn ihr euer tolles „steam“ schon mit ubuntu verheiratet und extra pakete für ubuntu rausgebt, dann seid doch bitte so freundlich…

  1. …die installazjon eures gehäcksels mal zu testen, bevor ihrs eine rielies nennt, und
  2. …die vorzüge der von debian her kommenden paketverwaltung auszunutzen und die abhängigkeiten korrekt anzugeben.

So, wie in diesem kleinen bildschirmfoto sieht es aus, wenn man euer „steam“ auf einem 64-bit-ubuntu installiert und starten will. Kein hübscher anblick, nicht?! Also fügt bitte einfach mal die abhängigkeit von den 32-bit-biblioteken ein oder — noch besser — baut auch eine 64-bit-versjon. Das werdet ihr doch hoffentlich hinbekommen!

Ach, und übrigens. Der kohd in /usr/bin/steam

[...]
function detect_platform() 
{ 
    ## Maybe be smarter someday 
    ## Right now this is the only platform we have a bootstrap for, so hard-code it. 
    echo ubuntu12_32 
}
[...]

…könnte bei den kleinen verbesserungsarbeiten gleich mal an die richtigen bedingungen angepasst werden. Das sieht ja aus wie eine beta-versjon.

So wird das nichts mit der weltherrschaft durch gaming engines

Kommentar verfassen

Trage deine Daten unten ein oder klicke ein Icon um dich einzuloggen:

WordPress.com-Logo

Du kommentierst mit Deinem WordPress.com-Konto. Abmelden /  Ändern )

Google Foto

Du kommentierst mit Deinem Google-Konto. Abmelden /  Ändern )

Twitter-Bild

Du kommentierst mit Deinem Twitter-Konto. Abmelden /  Ändern )

Facebook-Foto

Du kommentierst mit Deinem Facebook-Konto. Abmelden /  Ändern )

Verbinde mit %s

This site uses Akismet to reduce spam. Learn how your comment data is processed.